Bug 1698871 - Review Request: supercollider - Object oriented programming environment for real-time audio and video processing
Summary: Review Request: supercollider - Object oriented programming environment for r...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 12:17 UTC by Tristan Cacqueray
Modified: 2020-03-03 14:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Tristan Cacqueray 2019-04-11 12:17:54 UTC
Spec URL: https://fedorapeople.org/~tdecacqu/supercollider.spec
SRPM URL: https://fedorapeople.org/~tdecacqu/supercollider-3.10.2-1.fc29.src.rpm
COPR: https://copr.fedorainfracloud.org/coprs/tdecacqu/supercollider/package/supercollider/
Description: SuperCollider is an object oriented programming environment for
             real-time audio and video processing. It is one of the finest and most
             versatile environments for signal processing and especially for
             creating music applications of all kinds, such as complete
             compositions, interactive performances, installations etc.
Fedora Account System Username: tdecacqu

Note: I don't know the history of that package, I just updated the spec from 
https://jvlomax.fedorapeople.org/packaging/supercollider.spec

Comment 2 Tristan Cacqueray 2019-04-12 11:52:56 UTC
I've updated the spec with the one from Planet CCRMA. It does bundle nova-tt[0] and nova-simd[1] header libraries to enable plugins building. Not sure it's worth making separate devel package for those...
The new SRPM URL is: https://fedorapeople.org/~tdecacqu/supercollider-3.10.2-2.fc29.src.rpm

[0]: https://github.com/supercollider/nova-tt
[1]: https://github.com/supercollider/nova-simd

Comment 3 Robert-André Mauchin 2019-04-13 17:44:51 UTC
 - Group: is not used in Fedora

 - Please split you BR/RR one per line for clarity

 - Missing isa:

Requires: supercollider%{?_isa} = %{version}-%{release}

 - Use the default %cmake macro instead of cobbling your own

export CFLAGS="%{build_cflags} -fext-numeric-literals" 
export CXXFLAGS="%{build_cxxflags} -fext-numeric-literals"
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON \
       -DSYSTEM_BOOST=ON \
       -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_VERBOSE_MAKEFILE=TRUE \
       %{cmakearch} %{?geditver} \
       ..

 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - The license file must be installed with %license, mot %doc:

%doc README*
%license COPYING

 - .desktop files must be validated, see https://docs.fedoraproject.org/en-US/packaging-guidelines/#_desktop_file_install_usage


desktop-file-validate %{buildroot}/%{_datadir}/applications/SuperColliderIDE.desktop

 - Own %{_datadir}/SuperCollider

%dir %{_datadir}/SuperCollider

Comment 4 Tristan Cacqueray 2019-04-14 03:57:04 UTC
Thank you for the quick review Robert-André. I've addressed your comment in the pagure distgit: https://pagure.io/supercollider-distgit and I pushed the new version at Spec|SRPM urls.

Here are some notes about fedora-review output:

- There are header files in the debugsource package, not sure why or if it's an issue.
- incorrect-fsf-address fixes are proposed here: https://github.com/timblechmann/nova-tt/pull/3 and there: https://github.com/timblechmann/nova-simd/pull/7
- Obsoleted m4 macros fix proposed here: https://github.com/supercollider/portaudio/pull/2
- Then about licensecheck, I'm not sure how it works with the header libraries, should we list all their licenses ? (e.g. expat, bsd, boost, ...)

Comment 5 Robert-André Mauchin 2019-06-05 22:07:32 UTC
- There are header files in the debugsource package, not sure why or if it's an issue.

Cause you're using a too old version of fedora-review, this is not an issue.


Build fails for me:

BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/./utilities/time_tag.hpp: In member function 'boost::posix_time::ptime nova::time_tag::to_ptime() const':
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/./utilities/time_tag.hpp:232:102: error: no matching function for call to 'boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>::subsecond_duration(double)'
BUILDSTDERR:   232 |         time_duration offset = seconds(get_secs() - ntp_offset) + microseconds(get_nanoseconds()/1000);
BUILDSTDERR:       |                                                                                                      ^
BUILDSTDERR: In file included from /usr/include/boost/date_time/posix_time/posix_time_config.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/posix_time_system.hpp:13,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/ptime.hpp:12,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/posix_time_types.hpp:12,
BUILDSTDERR:                  from /usr/include/boost/thread/thread_time.hpp:11,
BUILDSTDERR:                  from /usr/include/boost/thread/lock_types.hpp:18,
BUILDSTDERR:                  from /usr/include/boost/thread/pthread/mutex.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/thread/mutex.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/thread/pthread/shared_mutex.hpp:14,
BUILDSTDERR:                  from /usr/include/boost/thread/shared_mutex.hpp:28,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/external_libraries/nova-tt/nova-tt/rw_mutex.hpp:27,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/./utilities/named_hash_entry.hpp:26,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synthdef.hpp:29,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.hpp:23,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth.hpp:28,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.cpp:25:
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:285:14: note: candidate: 'template<class T> boost::date_time::subsecond_duration<base_duration, frac_of_second>::subsecond_duration(const T&, typename boost::enable_if<boost::is_integral<T>, void>::type*)'
BUILDSTDERR:   285 |     explicit subsecond_duration(T const& ss,
BUILDSTDERR:       |              ^~~~~~~~~~~~~~~~~~
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:285:14: note:   template argument deduction/substitution failed:
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp: In substitution of 'template<class T> boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>::subsecond_duration(const T&, typename boost::enable_if<boost::is_integral<T>, void>::type*) [with T = double]':
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/./utilities/time_tag.hpp:232:102:   required from here
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:285:14: error: no type named 'type' in 'struct boost::enable_if<boost::is_integral<double>, void>'
BUILDSTDERR: In file included from /usr/include/boost/date_time/posix_time/posix_time_config.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/posix_time_system.hpp:13,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/ptime.hpp:12,
BUILDSTDERR:                  from /usr/include/boost/date_time/posix_time/posix_time_types.hpp:12,
BUILDSTDERR:                  from /usr/include/boost/thread/thread_time.hpp:11,
BUILDSTDERR:                  from /usr/include/boost/thread/lock_types.hpp:18,
BUILDSTDERR:                  from /usr/include/boost/thread/pthread/mutex.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/thread/mutex.hpp:16,
BUILDSTDERR:                  from /usr/include/boost/thread/pthread/shared_mutex.hpp:14,
BUILDSTDERR:                  from /usr/include/boost/thread/shared_mutex.hpp:28,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/external_libraries/nova-tt/nova-tt/rw_mutex.hpp:27,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/./utilities/named_hash_entry.hpp:26,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synthdef.hpp:29,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.hpp:23,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth.hpp:28,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.cpp:25:
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:270:30: note: candidate: 'boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>::subsecond_duration(const boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>&)'
BUILDSTDERR:   270 |   class BOOST_SYMBOL_VISIBLE subsecond_duration : public base_duration
BUILDSTDERR:       |                              ^~~~~~~~~~~~~~~~~~
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:270:30: note:   no known conversion for argument 1 from 'double' to 'const boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>&'
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:270:30: note: candidate: 'boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>::subsecond_duration(boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>&&)'
BUILDSTDERR: /usr/include/boost/date_time/time_duration.hpp:270:30: note:   no known conversion for argument 1 from 'double' to 'boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>&&'
BUILDSTDERR: In file included from /usr/include/boost/config.hpp:40,
BUILDSTDERR:                  from /usr/include/boost/filesystem/operations.hpp:18,
BUILDSTDERR:                  from /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.cpp:22:
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/../server/synth.hpp: In member function 'virtual void nova::abstract_synth::set_control_array_element(const char*, std::size_t, std::size_t, nova::abstract_synth::sample)':
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/../server/synth.hpp:152:46: warning: comparison of integer expressions of different signedness: 'std::size_t' {aka 'long unsigned int'} and 'int' [-Wsign-compare]
BUILDSTDERR:   152 |         if (likely( (slot_id >= 0) && (index < size_of_parameter) ))
BUILDSTDERR:       |                                        ~~~~~~^~~~~~~~~~~~~~~~~~~
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/../server/synth.hpp:152:13: note: in expansion of macro 'likely'
BUILDSTDERR:   152 |         if (likely( (slot_id >= 0) && (index < size_of_parameter) ))
BUILDSTDERR:       |             ^~~~~~
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.cpp: In constructor 'nova::sc_synth_definition::sc_synth_definition(nova::sc_synthdef&&)':
BUILDSTDERR: /builddir/build/BUILD/SuperCollider-Source/server/supernova/sc/sc_synth_definition.cpp:101:64: warning: comparison of integer expressions of different signedness: 'int32_t' {aka 'int'} and 'std::size_t' {aka 'long unsigned int'} [-Wsign-compare]
BUILDSTDERR:   101 |         for(int32_t next_index = current_index + 1; next_index != parameter_count(); ++next_index) {
BUILDSTDERR:       |                                                     ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: make[2]: *** [server/supernova/CMakeFiles/libsupernova.dir/build.make:66: server/supernova/CMakeFiles/libsupernova.dir/sc/sc_synth_definition.cpp.o] Error 1
BUILDSTDERR: make[2]: *** Waiting for unfinished jobs....
make[2]: Entering directory '/builddir/build/BUILD/SuperCollider-Source/build'

Comment 6 Robert-André Mauchin 2019-06-05 22:12:14 UTC
Also qt5-qtwebengine-devel is only available on qt5_qtwebengine_arches

Comment 7 Robert-André Mauchin 2019-06-05 22:18:41 UTC
See this log for errors: https://koji.fedoraproject.org/koji/taskinfo?taskID=35319979

Comment 8 Robert-André Mauchin 2019-06-05 22:42:06 UTC
See https://github.com/balint256/gr-baz/issues/55 for how another project solves the issue. Basically the value should be cast as long and not be a double since Boost 1.67.

Comment 9 Tristan Cacqueray 2019-06-09 03:09:35 UTC
Thank you for the feedback Robert-André. I've fixed the rawhide build in the pagure distgit: https://pagure.io/supercollider-distgit and I pushed the new version at:

Spec URL: https://fedorapeople.org/~tdecacqu/supercollider.spec
Patch01:  https://fedorapeople.org/~tdecacqu/0001-Fix-compilation-with-boost-1.67.patch  (proposed here: https://github.com/supercollider/supercollider/pull/4447 )
SRPM URL: https://fedorapeople.org/~tdecacqu/supercollider-3.10.2-2.fc31.src.rpm

Comment 10 Robert-André Mauchin 2019-06-09 13:07:07 UTC
 - This is not needed since Fedora 24:

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime

%postun
update-desktop-database &> /dev/null || :

 - Add gcc-c++ as a BR

 - Use ExclusiveArch to specify the %{qt5_qtwebengine_arches} 

supercollider.src:21: E: buildarch-instead-of-exclusivearch-tag %{qt5_qtwebengine_arches}


 - Patch the obsolete FSF address with the new one in %prep and send upstream:

supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/COPYING
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/benchmark_helpers.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/malloc_aligned.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/perf_counter.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/define_macros.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/unroll_helpers.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/vec_math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/wrap_argument_vector.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/wrap_arguments.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_binary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_horizontal_functions.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_memory.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_mix.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_pan.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_peakmeter.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_ternary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unit_conversion.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unroll_constraints.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_utils.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/softclip.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_altivec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_avx_double.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_avx_float.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_base.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_generic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_altivec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_avx.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_neon.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_sse2.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_neon.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_sse.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_sse2.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/COPYING
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/dummy_mutex.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/mlock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/name_thread.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/nanosleep.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/pause.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/physical_concurrency.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/rw_mutex.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/rw_spinlock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_boost_fallback.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_dispatch.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_mach.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_posix.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_pthreads.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_win32.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/spin_lock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_affinity.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_pool.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_fallback.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_mach.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_pthread.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_win32.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/plugin_interface/SC_sndfile_stub.h


 - subpackage gedit should not be noarch if it contains archful data:

supercollider.src:194: W: libdir-macro-in-noarch-package gedit %{_libdir}/gedit*/plugins/*


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- update-desktop-database must not be invoked in %post and %postun for
  Fedora 24 and later.
  Note: desktop file(s) with MimeType entry in supercollider
  See:
  https://fedoraproject.org/w/index.php?title=Packaging:Scriptlets&oldid=494555#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Creative Commons
     Attribution-ShareAlike Public License (v3) GNU General Public
     License", "GPL (v2 or later)", "GPL (v3 or later)", "GPL (v2 or later)
     (with incorrect FSF address)", "NTP License", "Mozilla Public License
     (v1.1) GNU General Public License (v2 or later) or GNU Lesser General
     Public License (v2.1 or later)", "*No copyright* Creative Commons
     Attribution-ShareAlike Public License (v3.0)", "*No copyright* GNU
     Lesser General Public License", "BSL (v1.0)", "BSD 3-clause "New" or
     "Revised" License", "*No copyright* GPL (v3.0)", "Expat License", "GNU
     Lesser General Public License (v2.1 or later)", "*No copyright* GPL
     (v2 or later)", "GNU General Public License (v2.0) GNU Lesser General
     Public License (v2.1)", "GNU General Public License (v3)", "GNU
     General Public License", "*No copyright* BSD 3-clause "New" or
     "Revised" License GPL (v2 or later)", "FSF All Permissive License",
     "*No copyright* Public domain". 2190 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/supercollider/review-
     supercollider/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/SuperCollider/Extensions,
     /usr/share/SuperCollider/Extensions/scide_scvim
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     supercollider-devel , supercollider-emacs , supercollider-gedit ,
     supercollider-vim
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define cmakearch
     -DSUPERNOVA=OFF -DSSE=OFF -DSSE2=OFF -DNOVA_SIMD=ON -DSC_WII=OFF,
     %define cmakearch -DSUPERNOVA=ON
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 10577920 bytes in /usr/share
     supercollider-3.10.2-2.fc31.x86_64.rpm:10577920
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: supercollider-3.10.2-2.fc31.x86_64.rpm
          supercollider-devel-3.10.2-2.fc31.noarch.rpm
          supercollider-emacs-3.10.2-2.fc31.noarch.rpm
          supercollider-gedit-3.10.2-2.fc31.noarch.rpm
          supercollider-vim-3.10.2-2.fc31.noarch.rpm
          supercollider-debuginfo-3.10.2-2.fc31.x86_64.rpm
          supercollider-debugsource-3.10.2-2.fc31.x86_64.rpm
          supercollider-3.10.2-2.fc31.src.rpm
supercollider.x86_64: E: zero-length /usr/share/SuperCollider/SCClassLibrary/Common/GUI/PlusGUI/Files/FilePlusGUI.sc
supercollider.x86_64: W: no-manual-page-for-binary scide
supercollider.x86_64: W: no-manual-page-for-binary sclang
supercollider.x86_64: W: no-manual-page-for-binary scsynth
supercollider.x86_64: W: no-manual-page-for-binary supernova
supercollider-devel.noarch: W: no-documentation
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/COPYING
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/benchmark_helpers.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/malloc_aligned.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/benchmarks/perf_counter.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/define_macros.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/unroll_helpers.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/vec_math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/wrap_argument_vector.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/detail/wrap_arguments.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_binary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_horizontal_functions.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_math.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_memory.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_mix.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_pan.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_peakmeter.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_ternary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unary_arithmetic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unit_conversion.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_unroll_constraints.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/simd_utils.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/softclip.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_altivec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_avx_double.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_avx_float.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_base.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_generic.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_altivec.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_avx.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_neon.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_int_sse2.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_neon.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_sse.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-simd/vec/vec_sse2.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/COPYING
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/dummy_mutex.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/mlock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/name_thread.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/nanosleep.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/pause.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/physical_concurrency.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/rw_mutex.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/rw_spinlock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_boost_fallback.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_dispatch.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_mach.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_posix.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_pthreads.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/semaphore_win32.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/spin_lock.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_affinity.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_pool.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_fallback.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_mach.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_pthread.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/external_libraries/nova-tt/nova-tt/thread_priority_win32.hpp
supercollider-devel.noarch: E: incorrect-fsf-address /usr/include/SuperCollider/plugin_interface/SC_sndfile_stub.h
supercollider-emacs.noarch: W: no-documentation
supercollider-gedit.noarch: W: only-non-binary-in-usr-lib
supercollider-gedit.noarch: W: no-documentation
supercollider-vim.noarch: W: no-documentation
supercollider.src:21: E: buildarch-instead-of-exclusivearch-tag %{qt5_qtwebengine_arches}
supercollider.src:194: W: libdir-macro-in-noarch-package gedit %{_libdir}/gedit*/plugins/*
8 packages and 0 specfiles checked; 62 errors, 10 warnings.

Comment 12 Robert-André Mauchin 2019-06-11 12:51:28 UTC
Ok, package approved.

Comment 13 seb 2020-02-16 02:14:00 UTC
Any news?

Comment 14 Tristan Cacqueray 2020-02-16 12:28:19 UTC
Oops my bad, I forgot to request the repo, and it seems like the review needs to be updated. Robert-André, could you please add the `fedora-review+` flags again?

All the required patches have been merged upstream and I updated the spec to 3.10.4 here: https://copr.fedorainfracloud.org/coprs/tdecacqu/supercollider/build/1182887/

Comment 15 Robert-André Mauchin 2020-03-03 14:15:15 UTC
Refreshed flag.

Comment 16 Gwyn Ciesla 2020-03-03 14:55:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/supercollider


Note You need to log in before you can comment on or make changes to this bug.